# norootforbuild

Name:          dvbcut
Version:       0.6.1
Release:       %mkrel 2
Summary:       Graphical Frontend for cutting MPEG Videos
Summary(de):   Ein Programm zum Schneiden von MPEG-Videos
License:       GNU General Public License (GPL)
URL:           http://dvbcut.sourceforge.net/
Group:         Video
Source:	       http://prdownloads.sourceforge.net/dvbcut/dvbcut-%{version}.tar.xz
Patch0:        dvbcut-gcc-fix.diff
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
BuildRequires: autoconf
BuildRequires: qt3-devel
BuildRequires: liba52dec-devel
BuildRequires: ffmpeg-devel
BuildRequires: mad-devel
BuildRequires: libao-devel
BuildRequires: hicolor-icon-theme

%description
dvbcut is a Qt application that allows you to select certain parts of an MPEG transport
stream (as received via Digital Video Broadcasting) and save these parts into a single
MPEG output file. It follows a "keyhole surgery" approach where the input video and
audio data are mostly kept unchanged, and only very few frames at the beginning and/or
end of the selected range are re-encoded in order to obtain a valid MPEG file. 

#german
%description -l de
Dvbcut ist ein Qt-Programm mit dem man bestimmte Teile eines MPEG-Transport-Streams - wie
man ihn per DVB empfängt - auswählen und speichern kann. Es verwendet eine "keyhole surgery"
Methode, bei der der größte Teil der Frames unverädert bleibt und nur die Frames neu berechnet
werden, bei denen der Schnitt erfolgt, so dass wieder eine gültige MPEG-Datei entsteht.

%prep
%setup -q
#%patch0 -p1
sed -i 's,$QTDIR/$mr_libdirname,$QTDIR/lib,' configure.in

sed -i 's,$(STRIP) $(topdir)/bin/dvbcut$(EXEEXT),,' src/Makefile.in

sed -i '/debian/d' DISTFILES
sed -i '/ffmpeg.src/d' DISTFILES

%build
autoconf
%configure2_5x --with-qt3=/usr/lib/qt3 \
	    --with-ffmpeg=/usr
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall_std
# Menu for all Desktops(tex)
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

rm -rf %{buildroot}/%{_datadir}/mime

%files
%defattr(-,root,root)
%doc README* ChangeLog COPYING CREDITS
%{_bindir}/dvbcut
%doc %{_mandir}/man1/dvbcut.1.*
%{_datadir}/applications/dvbcut.desktop
%{_datadir}/help/*
%{_datadir}/%{name}/*


%changelog
* Wed Apr 27 2011 leiche <meisssw01 at aol.com> 0.6.1-2leiche2011
- rebuild with New upstream version

* Tue May 25 2010 leiche <meisssw01 at aol.com> 0.6.1-1pclos2010
- build from SVN 0.6.1 alpha REV 168

* Mon Oct 12 2009 Leiche <MeissSW01@aol.com> 0.6.0-1pclos2010
- update to 0.6.0 REV 166
- add own icon

* Sun May 24 2009 Texstar <texstar@gmail.com> 0.5.4-2pclos2009
- fix rpm group

* Sat Jan 19 2008 maik3531 <maik3531@web.de>
- first build to PCLinuxOS
- add icon to menu (texstar)
